<?xml version="1.0" encoding="gb2312" ?>
<xs:schema targetNamespace="http://www.h3c.com/netconf/action:1.0"
                  elementFormDefault="qualified"
                  xmlns:base="http://www.h3c.com/netconf/base:1.0"
                  xmlns="http://www.h3c.com/netconf/action:1.0"
                  xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xs:import namespace="http://www.h3c.com/netconf/base:1.0" schemaLocation="basetype.xsd"></xs:import>
  <xs:element name="ND">
    <xs:complexType>
      <xs:choice maxOccurs="unbounded">

        <xs:element name="NDClearByType" minOccurs="0">
          <xs:complexType>
            <xs:all>
              <xs:element name="Type" minOccurs="0">
                <xs:complexType>
                  <xs:simpleContent>
                    <xs:restriction base="base:UnsignedInteger32">
                      <xs:enumeration value="0"/>
                      <xs:enumeration value="1"/>
                      <xs:enumeration value="2"/>
                    </xs:restriction>
                  </xs:simpleContent>
                </xs:complexType>
              </xs:element>
              </xs:all>
            </xs:complexType>
        </xs:element>
        
        <xs:element name="NDClearByIfIndex" minOccurs="0">
           <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="ClearByIfIndex" minOccurs="0" maxOccurs="unbounded">
                <xs:complexType>
                  <xs:all>
                    <xs:element name="IfIndex" minOccurs="0" type="base:NameAndIndexUnion" nillable="true">
                    </xs:element> 
                  </xs:all>
                </xs:complexType>
              </xs:element>            
            </xs:choice>
          </xs:complexType>
        </xs:element>

        <xs:element name="NDClearTable" minOccurs="0">
           <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="ClearEntry" minOccurs="0" maxOccurs="unbounded">
                <xs:complexType>
                  <xs:all>
                    <xs:element name="IfIndex" minOccurs="0" type="base:NameAndIndexUnion" nillable="true">
                    </xs:element>
                    <xs:element name="Ipv6Address" minOccurs="0" type="base:Ipv6Address" nillable="true">
                    </xs:element>
                  </xs:all>
                </xs:complexType>
              </xs:element>
            </xs:choice>
          </xs:complexType>
        </xs:element>

      </xs:choice>
    </xs:complexType>
  </xs:element>
</xs:schema>
